package com.macro.mall.tiny.modules.business.controller;


import com.macro.mall.tiny.common.api.CommonResult;
import com.macro.mall.tiny.modules.business.model.KrBLineUploadLog;
import com.macro.mall.tiny.modules.business.service.KrBLineUploadLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author macro
 * @since 2021-03-28
 */
@RestController
@Api(tags = "KrBLineUploadLogController", description = "提供上传日志相关API")
@RequestMapping("/lineUploadLog")
public class KrBLineUploadLogController {
    @Autowired
    private KrBLineUploadLogService krBLineUploadLogService;

    @ApiOperation("获取最近N条上传记录")
    @RequestMapping(method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<List<KrBLineUploadLog>> getItem(@RequestParam @PathParam(value = "limit") Integer limit) {
        return CommonResult.success(krBLineUploadLogService.findLastUpload(limit));
    }
}

