package com.macro.mall.tiny.modules.business.controller;


import com.macro.mall.tiny.common.api.CommonResult;
import com.macro.mall.tiny.modules.business.model.KrBRegionProvince;
import com.macro.mall.tiny.modules.business.service.KrBRegionProvinceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 后台角色资源关系表 前端控制器
 * </p>
 *
 * @author macro
 * @since 2021-03-19
 */
@RestController
@Api(tags = "KrBRegionProvinceController", description = "省份管理")
@RequestMapping("/province")
public class KrBRegionProvinceController {

    @Autowired
    private KrBRegionProvinceService krBRegionProvinceService;

    @ApiOperation("获取省份列表")
    @RequestMapping(value = "/list", method = RequestMethod.GET)
    @ResponseBody
    public CommonResult<List<KrBRegionProvince>> list() {
        List<KrBRegionProvince> provinceList = krBRegionProvinceService.getProvinceList();
        return CommonResult.success(provinceList);
    }
}

