package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author macro
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("kr_b_sensor")
@ApiModel(value = "KrBSensor对象", description = "")
public class KrBSensor implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "传感器表")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "传感器安装的杆塔ID")
    private Long towerId;

    @ApiModelProperty(value = "设备物理地址")
    private String deviceMac;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "安装时间")
    private Date installTime;

    @ApiModelProperty(value = "备注消息")
    private String remark;

    @ApiModelProperty(value = "设备是否在线")
    @TableField(exist = false)
    private int isOnline;
}
