package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author gjs
 * @description
 * @date 2021/4/11 20:29
 */
@Data
@ApiModel(value = "Weather对象", description = "实时天气")
public class Weather implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "温度，默认单位：摄氏度")
    private String temp;

    @ApiModelProperty(value = "体感温度，默认单位：摄氏度")
    private String feelsLike;

    @ApiModelProperty(value = "天气状况的文字描述，包括阴晴雨雪等天气状态的描述")
    private String text;

    @ApiModelProperty(value = "风向360角度")
    private String wind360;

    @ApiModelProperty(value = "风向")
    private String windDir;

    @ApiModelProperty(value = "风力等级")
    private String windScale;

    @ApiModelProperty(value = "风速，公里/小时")
    private String windSpeed;

    @ApiModelProperty(value = "相对湿度，百分比数值")
    private String humidity;

    @ApiModelProperty(value = "当前小时累计降水量，默认单位：毫米")
    private String precip;

    @ApiModelProperty(value = "大气压强，默认单位：百帕")
    private String pressure;

    @ApiModelProperty(value = "能见度，默认单位：公里")
    private String vis;

    @ApiModelProperty(value = "云量，百分比数值")
    private String cloud;

    @ApiModelProperty(value = "露点温度")
    private String dew;



}
