package com.macro.mall.tiny.modules.business.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.macro.mall.tiny.modules.business.mapper.KrBRegionProvinceMapper;
import com.macro.mall.tiny.modules.business.model.KrBRegionProvince;
import com.macro.mall.tiny.modules.business.service.KrBRegionProvinceCacheService;
import com.macro.mall.tiny.modules.business.service.KrBRegionProvinceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 后台角色资源关系表 服务实现类
 * </p>
 *
 * @author macro
 * @since 2021-03-19
 */
@Service
public class KrBRegionProvinceServiceImpl extends ServiceImpl<KrBRegionProvinceMapper, KrBRegionProvince> implements KrBRegionProvinceService {

    @Autowired
    private KrBRegionProvinceCacheService krBRegionProvinceCacheService;

    @Autowired
    private KrBRegionProvinceMapper krBRegionProvinceMapper;

    @Override
    public List<KrBRegionProvince> getProvinceList() {
        List<KrBRegionProvince> provinceList = krBRegionProvinceCacheService.getProvinceList();
        if (CollUtil.isNotEmpty(provinceList)) {
            return provinceList;
        }
        provinceList = krBRegionProvinceMapper.selectList(new QueryWrapper<>());
        if (CollUtil.isNotEmpty(provinceList)) {
            krBRegionProvinceCacheService.setProvinceList(provinceList);
        } else {
            krBRegionProvinceCacheService.setProvinceList(new ArrayList<>());
        }
        return provinceList;
    }
}
